Bug 1873230 - Quick Starts shouldn't show successful messaging if all steps weren't successful
Summary: Quick Starts shouldn't show successful messaging if all steps weren't successful
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 4.6.0
Assignee: Aritra Roy
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 16:48 UTC by Aritra Roy
Modified: 2020-09-09 07:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
quick start conclusion with failed tasks (28.51 KB, image/png)
2020-08-27 16:48 UTC, Aritra Roy
no flags Details
Quick Starts shouldn't show successful messaging if all steps weren't successful -1 (34.35 KB, image/png)
2020-09-07 21:43 UTC, spathak@redhat.com
no flags Details
Quick Starts should show successful messaging if all steps were successful (38.93 KB, image/png)
2020-09-07 21:44 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6465 None closed Bug 1873230: show message for retrying in conclusion if there are failed tasks 2020-09-07 21:40:41 UTC

Description Aritra Roy 2020-08-27 16:48:48 UTC
Created attachment 1712852 [details]
quick start conclusion with failed tasks

Description of problem:
Currently when one or more steps have not been accomplished successfully, the Quick Start will displays the positive conclusion message provided.

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-02-134243

How reproducible:
always

Steps to Reproduce:
1.start a quick start
2.select `No` in the review section of at least one task
3.complete the quick start to reach the conclusion page

Actual results:
positive conclusion message shown

Expected results:
message for retrying should be shown

Additional info:

Comment 1 spathak@redhat.com 2020-09-07 21:43:09 UTC
Created attachment 1714007 [details]
Quick Starts shouldn't show successful messaging if all steps weren't successful -1

Comment 2 spathak@redhat.com 2020-09-07 21:44:24 UTC
Created attachment 1714008 [details]
Quick Starts should show successful messaging if all steps were successful

Comment 3 spathak@redhat.com 2020-09-07 21:45:18 UTC
Verified on build number: 4.6.0-0.nightly-2020-09-07-104243
Browser version: Chrome 84


Note You need to log in before you can comment on or make changes to this bug.